"use strict";
/* ============================================================================
 * Copyright (c) Palo Alto Networks
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 * ========================================================================== */
Object.defineProperty(exports, "__esModule", { value: true });
exports.createParamsDetails = void 0;
// import { createDetails } from "./createDetails";
// import { createDetailsSummary } from "./createDetailsSummary";
const utils_1 = require("./utils");
function createParamsDetails({ parameters, type }) {
    // if (parameters === undefined) {
    //   return undefined;
    // }
    // const params = parameters.filter((param) => param?.in === type);
    // if (params.length === 0) {
    //   return undefined;
    // }
    // return createDetails({
    //   "data-collapsed": false,
    //   open: true,
    //   style: { marginBottom: "1rem" },
    //   children: [
    //     createDetailsSummary({
    //       children: [
    //         create("strong", {
    //           children: `${
    //             type.charAt(0).toUpperCase() + type.slice(1)
    //           } Parameters`,
    //         }),
    //       ],
    //     }),
    //     create("div", {
    //       children: [
    //         create("ul", {
    //           children: params.map((param) =>
    //             create("ParamsItem", {
    //               className: "paramsItem",
    //               param: param,
    //             })
    //           ),
    //         }),
    //       ],
    //     }),
    //   ],
    // });
    if (parameters === undefined) {
        return undefined;
    }
    const params = parameters.filter((param) => (param === null || param === void 0 ? void 0 : param.in) === type);
    if (params.length === 0) {
        return undefined;
    }
    // uppercase first letter
    const paramType = type.charAt(0).toUpperCase() + type.slice(1);
    const normalizedParams = params.map((param) => {
        const { description, name, required, schema } = param;
        let type = null;
        if (schema === null || schema === void 0 ? void 0 : schema.type) {
            // uppercase first letter
            type = schema.type.charAt(0).toUpperCase() + schema.type.slice(1);
        }
        return {
            field: name,
            required,
            description,
            type,
        };
    });
    return (0, utils_1.create)("ParamDetails", {
        paramType,
        params: normalizedParams,
    });
}
exports.createParamsDetails = createParamsDetails;
